Summary: HTML output of collectd statistics
%define realname smeserver-collectd-web
Name: %{realname}
%define version 1.0.2
Version: %{version}
%define release 0
Release: %{release}
Copyright: GNU General Public License (GPL)
Group: Applications/Web
Packager: Michael Weinberger <mweinber@neddix.de>
Vendor: neddix IT Consulting und Services, Stuttgart, Germany
Source: %{realname}-%{version}.tar.gz
BuildRoot: /var/tmp/%{realname}-%{version}-buildroot/
BuildArch: noarch
Requires: smeserver-release >= 7 collectd = 3.7.0 perl-rrdtool >= 1.0.50 perl-XML-Dumper >= 0.71 rrdtool >= 1.0.50
AutoReq: no

%description
HTML output of collectd statistics

%changelog
* Tue Oct 31 2006 Michael Weinberger
rc7 startscript link
* Mon Oct 30 2006 Michael Weinberger
service collectd start/stop
* Sun Oct 29 2006 Michael Weinberger
- initial release 

%prep
%setup -q -n %{realname}-%{version}
%build
%install
rm -rf $RPM_BUILD_ROOT
rm -f %{name}-%{version}-filelist
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)

rm -f %{name}-%{version}-filelist

find $RPM_BUILD_ROOT -depth -type f -print |\
 sed -e "s@^$RPM_BUILD_ROOT@@g" \
 -e "s@^/etc/e-smith/templates/@%attr(0644,root,root) &@"\
 -e "s@^/opt/collectd-web/cgi-bin/@%attr(0750,root,www) &@"\
 -e "s@^/opt/collectd-web/@%attr(0640,root,www) &@"\
 >> %{name}-%{version}-filelist

find $RPM_BUILD_ROOT -depth -type l -print |\
 sed "s@^$RPM_BUILD_ROOT@@g" >> %{name}-%{version}-filelist


%clean
rm -rf $RPM_BUILD_ROOT
exit 0

%pre
exit 0

%post
if [ "x`/bin/cat /proc/1/cmdline`" = "xinit [7]" ] ; then
	/etc/rc.d/init.d/collectd restart
	/sbin/e-smith/expand-template /etc/httpd/conf/httpd.conf
	/etc/rc.d/init.d/httpd-e-smith sighup
	echo "URL: https://`/bin/hostname`/serverstats/"
fi
exit 0

%preun
if [ "x`/bin/cat /proc/1/cmdline`" = "xinit [7]" ] ; then
	if [ $1 = 0 ] ; then # uninstall
		/etc/rc.d/init.d/collectd stop
		/sbin/e-smith/expand-template /etc/httpd/conf/httpd.conf
		/etc/rc.d/init.d/httpd-e-smith sighup
	fi
fi
exit 0

%postun
exit 0

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
